SystemOrganization addCategory: #ConfigurationOfAnimations!

Object subclass: #ConfigurationOfAnimations
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfAnimations'!

!ConfigurationOfAnimations class methodsFor: 'development support' stamp: 'DaleHenrichs 12/17/2010 10:23'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfAnimations class methodsFor: 'private' stamp: 'DaleHenrichs 11/2/2010 16:51'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfAnimations class methodsFor: 'private' stamp: 'DaleHenrichs 12/6/2010 13:34'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfAnimations class methodsFor: 'private' stamp: 'DaleHenrichs 11/4/2010 10:23'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfAnimations class methodsFor: 'metacello tool support' stamp: 'DaleHenrichs 11/2/2010 14:58'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfAnimations class methodsFor: 'loading' stamp: 'DaleHenrichs 11/29/2010 15:00'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfAnimations class methodsFor: 'loading' stamp: 'DaleHenrichs 11/29/2010 15:00'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfAnimations class methodsFor: 'accessing' stamp: 'dkh 10/13/2009 10:36'!
project

	^self new project! !

!ConfigurationOfAnimations class methodsFor: 'development support' stamp: 'DaleHenrichs 1/13/2011 15:37'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfAnimations methodsFor: 'baselines' stamp: 'mt 10/6/2010 16:03:45.553'!
baseline100: spec 
	<version: '1.0-baseline'>
        
	spec for: #common do: [
      	spec blessing: #baseline.
      	spec repository: 'http://www.hpi.uni-potsdam.de/hirschfeld/squeaksource/SwaUtilities'.
		spec package: 'Animations'. 
		spec group: 'default' with: #('Animations'). ].! !

!ConfigurationOfAnimations methodsFor: 'symbolic versions' stamp: 'mt 8/20/2012 18:00:13.944'!
development: spec 
	<symbolicVersion: #development>
	
	spec for: #'common' version: '1.0.7'.
! !

!ConfigurationOfAnimations methodsFor: 'accessing' stamp: 'DaleHenrichs 11/5/2010 13:54'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfAnimations methodsFor: 'symbolic versions' stamp: 'mt 8/20/2012 18:00:02.714'!
stable: spec 
	<symbolicVersion: #stable>
	
	spec for: #'squeak4.3.x' version: '1.0.6'.! !

!ConfigurationOfAnimations methodsFor: 'versions' stamp: 'mt 2/5/2011 17:42:50.751'!
version100: spec

	<version: '1.0' imports: #('1.0-baseline')>
	
	spec for: #common do: [
		spec blessing: #release.
		spec author: 'Marcel Taeumel'.
		spec package: 'Animations' with: 'Animations-mt.8'].! !

!ConfigurationOfAnimations methodsFor: 'versions' stamp: 'mt 2/5/2011 17:42:54.243'!
version101: spec

	<version: '1.0.1' imports: #('1.0-baseline')>
	
	spec for: #common do: [
		spec blessing: #release.
		spec author: 'Marcel Taeumel'.
		spec package: 'Animations' with: 'Animations-mt.9'].! !

!ConfigurationOfAnimations methodsFor: 'versions' stamp: 'mt 5/2/2011 13:36:57.825'!
version102: spec

	<version: '1.0.2' imports: #('1.0-baseline')>
	
	spec for: #common do: [
		spec blessing: #development.
		spec author: 'Marcel Taeumel'.
		spec package: 'Animations' with: 'Animations-mt.14'].! !

!ConfigurationOfAnimations methodsFor: 'versions' stamp: 'mt 5/9/2011 16:06:53.774'!
version103: spec

	<version: '1.0.3' imports: #('1.0-baseline')>
	
	spec for: #common do: [
		spec blessing: #release.
		spec author: 'Marcel Taeumel'.
		spec package: 'Animations' with: 'Animations-mt.18'].! !

!ConfigurationOfAnimations methodsFor: 'versions' stamp: 'mt 6/30/2011 13:58:09.841'!
version104: spec

	<version: '1.0.4' imports: #('1.0-baseline')>
	
	spec for: #common do: [
		spec blessing: #release.
		spec author: 'Marcel Taeumel'.
		spec package: 'Animations' with: 'Animations-mt.19'].! !

!ConfigurationOfAnimations methodsFor: 'versions' stamp: 'mt 5/3/2012 15:02:20.98'!
version105: spec

	<version: '1.0.5' imports: #('1.0-baseline')>
	
	spec for: #common do: [
		spec blessing: #release.
		spec author: 'Marcel Taeumel'.
		spec package: 'Animations' with: 'Animations-mt.22'].! !

!ConfigurationOfAnimations methodsFor: 'versions' stamp: 'mt 8/20/2012 17:59:52.038'!
version106: spec

	<version: '1.0.6' imports: #('1.0-baseline')>
	
	spec for: #common do: [
		spec blessing: #release.
		spec author: 'Marcel Taeumel'.
		spec package: 'Animations' with: 'Animations-mt.23'].! !

!ConfigurationOfAnimations methodsFor: 'versions' stamp: 'mt 8/20/2012 17:59:33.14'!
version107: spec

	<version: '1.0.7' imports: #('1.0-baseline')>
	
	spec for: #common do: [
		spec blessing: #development.
		spec author: 'Marcel Taeumel'].! !
